{% extends "base.html" %}

{% block title %} {{title}} {% endblock %}
{% block titleHeader %} My projects {% endblock %}
{% block titleSubHeader %} {% endblock %}

{% block content %}
<div class="container">
    {% if message %}
    <div class="alert alert-danger" role="alert">
        <p>{{ message }} </p>
        <p>Login In : <a class="alert-link" href="{% url 'login'%}">here</a>.
        </p>
    </div>
    {% else %}
    <p>
        <a href="{% url 'project_list' %}" class="btn btn-primary">
            <i class="fas fa-chevron-circle-left"></i> Project List
        </a>
    </p>
    <h1>Edit project</h1>
    <form method="POST">
        {% csrf_token %}
        {% for field in form %}
        <div class="mb-1 edit">
            <p><b>{{ field.label }}{% if field.errors %} <span
                    style="color:red;">*</span> {% endif %}</b></p>
            {% if field.help_text %}
            <p class="helptext">{{ field.help_text|safe }}</p>
            {% endif %}
            {{ field }}
        </div>
        <br>
        {% endfor %}
        <div class="d-grid gap-2 d-md-flex justify-content-md-end">
            <a class="btn btn-danger"
               href="{% url 'project_detail' id_project=id_project %}"
               type="submit">Cancel</a>
            <button class="btn btn-primary" type="submit">Save</button>
        </div>
    </form>
    {% endif %}
</div>
{% endblock %}